function [xr, iter] = biseccion(f, a, b, tol)
% Como esta garantizada la convergencia del metodo de biseccion, no
% limitaremos la cantidad de iteraciones. Para mas informacion, estudiar
% las diapositivas del curso.

if feval(f, a)*feval(f, b) > 0
    error('No se garantiza raiz en el intervalo dado')
end

xa = a;
xb = b;

while abs(xa - xb) > tol
    xr = (xa + xb) / 2;
    iter = 1;

    if feval(f, xa) * feval(f, xr) == 0
        break;
    elseif feval(f, xa) * feval(f, xr) < 0
        xb = xr;
    else
        xa = xr;
    end
    iter = iter + 1;
end

end