clear all
close all
clc

% 1.2

% a)
kk = linspace(0.1, 0.5);

plot(kk, Fkappa(kk))
grid on
xlabel('\kappa')
ylabel('F(\kappa)')

% b)
kappa = fzero('Fkappa', 0.2, optimset('TolX', 1e-10));

% 1.3 
% En este caso, lo haremos utilizando una funcion anonima

% T(t) - 36.5
f = @(t) (10.2 + 1/(2*kappa))*exp(-kappa*(t - 20)) + (t + 24)/2 - ...
    1/(2*kappa) - 36.5;

% 1.4
t_star = fzero(f, [16, 20], optimset('TolX', 1e-10));
