%% 3.1
clear all
close all
clc

% Definimos f
f = @(x) (x + cos(x.^2)) ./ log(1 + exp(x.^2));

% Graficamos f para saber donde ocurre el maximo y el minimo en el
% intervalo dado
xx = linspace(-5, 5);

plot(xx, f(xx))
grid on

% La derivada de f es:
df = @(x) ((1 - 2*x*sin(x.^2)).* log(1 + exp(x.^2)) -...
    2*x.*exp(x.^2)./(1 + exp(x.^2)) .* (x + cos(x.^2))) ./ ...
    log(1 + exp(x.^2)).^2;

xmin = fzero(df, -2);
xmax = fzero(df, 0);

% Luego para calcular los maximos y minimos absolutos, se evalua f en los
% valores encontrados
f(xmin)
f(xmax)

%% 3.2
clear all
close all
clc

% Definimos las funciones
f = @(x) exp(x - x.^2);
g = @(x) atan(x.^2);

% Graficamos
xx = linspace(-3, 3);
plot(xx, f(xx), 'r', xx, g(xx), 'g')
grid on

% Encontramos la interseccion, para integrar
h = @(x) f(x) - g(x);
a = fzero(h, -1);
b = fzero(h, 1);

I = quad(h, a, b);

%% 3.3
clear all
close all
clc

x = linspace(-3, 3);
plot(x, ejercicio3_3(x))
grid on

% De la grafica, encontramos los 3 valores de x que cumplen lo requerido
fzero('ejercicio3_3', 1)
fzero('ejercicio3_3', 2.4)
fzero('ejercicio3_3', 2.6)